Bug 1544851 - Redefinitions of IXDR_GET_LONG and IXDR_PUT_LONG when libtirpc is used
Summary: Redefinitions of IXDR_GET_LONG and IXDR_PUT_LONG when libtirpc is used
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: build
Version: mainline
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-13 15:52 UTC by James Le Cuirot
Modified: 2018-08-14 07:59 UTC (History)
2 users (show)

Fixed In Version: glusterfs-4.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-14 07:59:38 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description James Le Cuirot 2018-02-13 15:52:01 UTC
This happens when IPv6 is not made the default. Many warnings like this are seen:

In file included from /usr/include/tirpc/rpc/rpc.h:43:0,
                 from ../../rpc/xdr/src/glusterfs-fops.h:9,
                 from glusterfs.h:33,
                 from fd.h:17,
                 from inode.h:34,
                 from inode.c:11:
/usr/include/tirpc/rpc/xdr.h:267:0: warning: "IXDR_GET_LONG" redefined
 #define IXDR_GET_LONG(buf)  ((long)ntohl((u_int32_t)*(buf)++))

Please see:
https://review.gluster.org/#/c/19334/

Comment 1 Worker Ant 2018-02-13 15:55:03 UTC
REVIEW: https://review.gluster.org/19334 (build: Fix redefinitions when using libtirpc without IPv6 by default) posted (#3) for review on master by James Le Cuirot

Comment 2 James Le Cuirot 2018-03-09 21:54:49 UTC
My change was abandoned but this was dealt with in https://review.gluster.org/19548.


Note You need to log in before you can comment on or make changes to this bug.